package com.pj.project.sys_client_visit;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.pj.utils.so.SoMap;

/**
 * Mapper: sys_client_visit -- 应用访问关系表
 * @author click33 
 */

@Mapper
@Repository
public interface SysClientVisitMapper {

	/**
	 * 增  
	 * @param s 实体对象 
	 * @return 受影响行数 
	 */
	int add(SysClientVisit s);

	/**
	 * 删  
	 * @param id 要删除的数据id  
	 * @return 受影响行数 
	 */
	int delete(Long id);	 

	/** 
	 * 删除 - 根据应用id和用户id 
	 * @return 实体对象 
	 */
	int deleteByClientAndUserId(@Param("clientId")long clientId, @Param("userId")long userId);	 

	/** 
	 * 改  
	 * @param s 实体对象 
	 * @return 受影响行数 
	 */
	int update(SysClientVisit s);

	/** 
	 * 查 - 根据id  
	 * @param id 要查询的数据id 
	 * @return 实体对象 
	 */
	SysClientVisit getById(Long id);	 

	/** 
	 * 查 - 根据id (不带有应用信息和用户信息)
	 * @param id 要查询的数据id 
	 * @return 实体对象 
	 */
	SysClientVisit getById2(Long id);	 

	/** 
	 * 查 - 根据应用id和用户id 
	 * @return 实体对象 
	 */
	SysClientVisit getByClientAndUserId(@Param("clientId")long clientId, @Param("userId")long userId);	 

	/**
	 * 查集合 - 根据条件（参数为空时代表忽略指定条件）
	 * @param so 参数集合 
	 * @return 数据列表 
	 */
	List<SysClientVisit> getList(SoMap so);

	/**
	 * 查 - 根据用户id
	 * @return 实体对象
	 */
	List<SysClientVisit> getByUserId(SoMap so);

}
